Subject: bug#61271: 30.0.50; gud makes source files un-editable

From: Dima Kogan <[email-masked]>
Date: Tue, 14 Feb 2023 15:38:28 -0800

Hi Eli.

Thanks for the pointer. I just tried out M-x gdb instead of M-x gud-gdb
as you suggested here. It appears to have the same issue though: RET in
the buffer being debugged reports the same error. And it still looks
like it's using gud internally. f1-m says:

  The major mode is Debugger mode defined in gud.el:

Is this right? I'm seeing this with 'emacs -Q'. This build is a few
weeks old, so maybe this is addressed in the latest release? I'm using a
build from 2023/01/25 at 8b87d095acf.

Thanks